import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TransactionsDatatableComponent } from './datatables/transactions-datatable/transactions-datatable.component';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatSelectModule } from '@angular/material/select';
import { MatSortModule } from '@angular/material/sort';
import { MatTableModule } from '@angular/material/table';
import { MatRippleModule } from '@angular/material/core';
import { MatPaginatorModule } from '@angular/material/paginator';
import { SharedModule } from '@app/shared/shared.module';
import { MatIconModule } from '@angular/material/icon';
import { MatButtonModule } from '@angular/material/button';

@NgModule({
  declarations: [TransactionsDatatableComponent],
  exports: [TransactionsDatatableComponent],
  imports: [
    CommonModule,
    MatFormFieldModule,
    MatSelectModule,
    MatSortModule,
    MatTableModule,
    MatRippleModule,
    MatPaginatorModule,
    SharedModule,
    MatIconModule,
    MatButtonModule,
  ],
})
export class ComponentsModule {}
